Subject: RE: Bypassing

From: "Abbie Barbir" <[email-masked]>
Date: Wed, 1 Oct 2003 13:42:47 -0400

Martin,

I think we only need one header (at the service level). This header should
be applicable to requets and/or responces. This header must not be deleted. 

abbie

> -----Original Message-----
> From: Martin Stecher [mailto:[email-masked]] 
> Sent: Wednesday, October 01, 2003 1:15 PM
> To: OPES WG (E-Mail)
> Subject: Bypassing
> 
> 
> 
> Hi,
> 
> some questions about how to fill the Bypass section in the 
> http adaption document.
> 
> 0. Information missing in other drafts? 
> draft-ietf-opes-end-comm-02 does not include any information 
> about bypassing. draft-ietf-opes-iab-02 only points out that 
> the tracin information can be later used to request OPES 
> bypass. Do we need more elaboration on bypassing in 
> draft-ietf-opes-end-comm?
> 
> 1. What to bypass?
> There are trace headers OPES-System, OPES-Processor and 
> OPES-Service. Which ones make sense to use in bypassing? 
> Usually it will not be possible to bypass an OPES-Processor 
> but is it required to ask for bypassing of all OPES services 
> that an OPES processor uses? So, do we need one, two or three 
> OPES-Bypass headers?
> 
> 2. Wildcards
> I guess we want to allow something like
>   OPES-Bypass: *
> to request bypassing of all OPES services.
> Did we ever think about different classes of services?
> It could make sense to allow all non-modifying OPES services, 
> i.e. those that do some logging/reporting wihtout touching 
> the data at all or those that block the complete message on 
> policy violation (e.g. virus found) but would not alter the 
> page itself. I guess due to the notification/tracing dilema 
> in almost all cases, the HTTP server will not know about 
> single OPES services to bypass and if it is concerned about 
> OPES services it has to request bypass of all or at least of 
> some sort of OPES services.
> 
> 
> Regards
> Martin
> 
>